Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174297 - Suboptimal completion dialog placement
Summary: Suboptimal completion dialog placement
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 5
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2005-11-27 13:54 UTC by Ville Skyttä
Modified: 2008-03-11 16:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-11 16:34:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 322591 None None None Never

Description Ville Skyttä 2005-11-27 13:54:43 UTC
The placement of the completion dialog in for example keyboard layout view
during installation is suboptimal.

For example, when prompted to choose the keyboard layout, click on the list of
layouts to activate the widget and hit "f".  The completion dialog appears in
the lower right corner of the screen, where it is both hard to notice when it
would be useful, and later after the choice has been made when it's no longer
useful, it's in the way and covers the "back/next" buttons.

Comment 1 Jeremy Katz 2005-11-27 18:00:44 UTC
Hrmm... this is just using the standard gtk functionality and I odn't think
there's any control over placement for there.  Jonathan -- am I missing
something? :)

Comment 2 Jonathan Blandford 2005-11-27 20:34:56 UTC
I could have sworn that I exposed tree_view->priv->search_dialog_position_func
in a public API.  I really, really meant to.  But it looks like its not there.

Filed at http://bugzilla.gnome.org/show_bug.cgi?id=322591

[Note that the funcionality for TreeView search is completely done with public
API, so you could always fake it;  not a whole lot of fun, though. ]

Comment 3 Jeremy Katz 2005-11-27 22:12:09 UTC
Yeah, I prefer just using the toolkit rather than reimplementing it :P

Comment 4 Matthew Miller 2007-04-06 16:48:26 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 5 petrosyan 2008-03-11 16:34:03 UTC
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.


Note You need to log in before you can comment on or make changes to this bug.